### Signal

# Panel Dock::adopt-widget

since: 1.2

#### Declaration

    gboolean
    adopt_widget (
      PanelDock* self,
      PanelWidget* widget,
      gpointer user_data
    )

#### Description [src]

Signal is emitted when a widget is requesting to be added via a drag-n-drop event.

This is generally propagated via `PanelFrame::adopt-widget` to the dock so that applications do not need to attach signal handlers to every `PanelFrame`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.2

#### Parameters

`widget`

  Type: `PanelWidget`

  A `PanelWidget`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`GDK_EVENT_STOP` to prevent dropping, otherwise `GDK_EVENT_PROPAGATE` to allow adopting the widget.